Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.util
Class JRLoader

    java.lang.Object
      net.sf.jasperreports.engine.util.JRLoader

    public final class JRLoader

extends java.lang.Object

Version:
  $Id: JRLoader.java 3941 2010-08-20 10:55:10Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`protected static void` | `collectResources(java.lang.String resourceName, java.lang.ClassLoader classLoader, java.util.Map<java.net.URL,ClassLoaderResource> resources)`
`protected static void` | `collectResources(java.lang.String resourceName, java.lang.ClassLoader classLoader, java.util.Set<java.net.URL> resources)`
`static java.util.List<ClassLoaderResource>` | `getClassLoaderResources(java.lang.String resource)` Scans the context classloader and the classloader of this class for all resources that have a specified name, and returns a list of `ClassLoaderResource` objects for the found resources.
`static java.io.InputStream` | `getFileInputStream(java.lang.String filename)` Tries to open a file for reading.
`static java.io.InputStream` | `getLocationInputStream(java.lang.String location)` Tries to open an input stream for a location.
`static java.net.URL` | `getResource(java.lang.String resource)` Returns the resource URL for a specified resource name.
`static java.io.InputStream` | `getResourceInputStream(java.lang.String resource)` Tries to open an input stream for a resource.
`static java.util.List<java.net.URL>` | `getResources(java.lang.String resource)` Scans the context classloader and the classloader of this class for all resources that have a specified name, and returns a list of `URL`s for the found resources.
`static java.io.InputStream` | `getURLInputStream(java.lang.String spec)` Tries to open an input stream for an URL.
`static byte[]` | `loadBytes(java.io.File file)`
`static byte[]` | `loadBytes(java.io.InputStream is)`
`static byte[]` | `loadBytes(java.net.URL url)`
`static byte[]` | `loadBytesFromLocation(java.lang.String location)`
`static byte[]` | `loadBytesFromLocation(java.lang.String location, java.lang.ClassLoader classLoader)`
`static byte[]` | `loadBytesFromLocation(java.lang.String location, java.lang.ClassLoader classLoader, java.net.URLStreamHandlerFactory urlHandlerFactory)`
`static byte[]` | `loadBytesFromLocation(java.lang.String location, java.lang.ClassLoader classLoader, java.net.URLStreamHandlerFactory urlHandlerFactory, FileResolver fileResolver)`
`static java.lang.Object` | `loadObject(java.io.File file)`
`static java.lang.Object` | `loadObject(java.io.InputStream is)`
`static java.lang.Object` | `loadObject(java.lang.String fileName)`
`static java.lang.Object` | `loadObject(java.net.URL url)`
`static java.lang.Object` | `loadObjectFromLocation(java.lang.String location)`
`static java.lang.Object` | `loadObjectFromLocation(java.lang.String location, java.lang.ClassLoader classLoader)`
`static java.lang.Object` | `loadObjectFromLocation(java.lang.String location, java.lang.ClassLoader classLoader, java.net.URLStreamHandlerFactory urlHandlerFactory, FileResolver fileResolver)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### loadObject

    public static java.lang.Object loadObject(java.lang.String fileName)
                                       throws JRException

  Throws:
    `JRException`

### loadObject

    public static java.lang.Object loadObject(java.io.File file)
                                       throws JRException

  Throws:
    `JRException`

### loadObject

    public static java.lang.Object loadObject(java.net.URL url)
                                       throws JRException

  Throws:
    `JRException`

### loadObject

    public static java.lang.Object loadObject(java.io.InputStream is)
                                       throws JRException

  Throws:
    `JRException`

### loadObjectFromLocation

    public static java.lang.Object loadObjectFromLocation(java.lang.String location)
                                                   throws JRException

  Throws:
    `JRException`

### loadObjectFromLocation

    public static java.lang.Object loadObjectFromLocation(java.lang.String location,
                                                          java.lang.ClassLoader classLoader)
                                                   throws JRException

  Throws:
    `JRException`

### loadObjectFromLocation

    public static java.lang.Object loadObjectFromLocation(java.lang.String location,
                                                          java.lang.ClassLoader classLoader,
                                                          java.net.URLStreamHandlerFactory urlHandlerFactory,
                                                          FileResolver fileResolver)
                                                   throws JRException

  Throws:
    `JRException`

### loadBytes

    public static byte[] loadBytes(java.io.File file)
                            throws JRException

  Throws:
    `JRException`

### loadBytes

    public static byte[] loadBytes(java.net.URL url)
                            throws JRException

  Throws:
    `JRException`

### loadBytes

    public static byte[] loadBytes(java.io.InputStream is)
                            throws JRException

  Throws:
    `JRException`

### loadBytesFromLocation

    public static byte[] loadBytesFromLocation(java.lang.String location)
                                        throws JRException

  Throws:
    `JRException`

### loadBytesFromLocation

    public static byte[] loadBytesFromLocation(java.lang.String location,
                                               java.lang.ClassLoader classLoader)
                                        throws JRException

  Throws:
    `JRException`

### loadBytesFromLocation

    public static byte[] loadBytesFromLocation(java.lang.String location,
                                               java.lang.ClassLoader classLoader,
                                               java.net.URLStreamHandlerFactory urlHandlerFactory)
                                        throws JRException

  Throws:
    `JRException`

### loadBytesFromLocation

    public static byte[] loadBytesFromLocation(java.lang.String location,
                                               java.lang.ClassLoader classLoader,
                                               java.net.URLStreamHandlerFactory urlHandlerFactory,
                                               FileResolver fileResolver)
                                        throws JRException

  Throws:
    `JRException`

### getLocationInputStream

    public static java.io.InputStream getLocationInputStream(java.lang.String location)
                                                      throws JRException

  Tries to open an input stream for a location.

  The method tries to interpret the location as a file name, a resource name or an URL. If any of these succeed, an input stream is created and returned.

  Parameters:
    `location` - the location
  Returns:
    an input stream if the location is an existing file name, a resource name on the classpath or an URL or `null` otherwise.
  Throws:
    `JRException`

### getFileInputStream

    public static java.io.InputStream getFileInputStream(java.lang.String filename)
                                                  throws JRException

  Tries to open a file for reading.

  Parameters:
    `filename` - the file name
  Returns:
    an input stream for the file or `null` if the file was not found
  Throws:
    `JRException`

### getResourceInputStream

    public static java.io.InputStream getResourceInputStream(java.lang.String resource)

  Tries to open an input stream for a resource.

  Parameters:
    `resource` - the resource name
  Returns:
    an input stream for the resource or `null` if the resource was not found

### getResources

    public static java.util.List<java.net.URL> getResources(java.lang.String resource)

  Scans the context classloader and the classloader of this class for all resources that have a specified name, and returns a list of `URL`s for the found resources.

  Parameters:
    `resource` - the resource names
  Returns:
    a list of `URL`s of resources with the specified name; the list is empty if no resources have been found for the name
  See Also:
    `ClassLoader.getResources(String)`

### collectResources

    protected static void collectResources(java.lang.String resourceName,
                                           java.lang.ClassLoader classLoader,
                                           java.util.Set<java.net.URL> resources)

### getClassLoaderResources

    public static java.util.List<ClassLoaderResource> getClassLoaderResources(java.lang.String resource)

  Scans the context classloader and the classloader of this class for all resources that have a specified name, and returns a list of `ClassLoaderResource` objects for the found resources.

  The returned list contains the URLs of the resources, and for each resource the highest classloader in the classloader hierarchy on which the resource was found.

  Parameters:
    `resource` - the resource names
  Returns:
    a list of resources with the specified name; the list is empty if no resources have been found for the name
  See Also:
    `ClassLoader.getResources(String)`

### collectResources

    protected static void collectResources(java.lang.String resourceName,
                                           java.lang.ClassLoader classLoader,
                                           java.util.Map<java.net.URL,ClassLoaderResource> resources)

### getResource

    public static java.net.URL getResource(java.lang.String resource)

  Returns the resource URL for a specified resource name.

  Parameters:
    `resource` - the resource name
  Returns:
    the URL of the resource having the specified name, or `null` if none found
  See Also:
    `ClassLoader.getResource(String)`

### getURLInputStream

    public static java.io.InputStream getURLInputStream(java.lang.String spec)
                                                 throws JRException

  Tries to open an input stream for an URL.

  Parameters:
    `spec` - the string to parse as an URL
  Returns:
    an input stream for the URL or null if `spec` is not a valid URL
  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com